Glydo.VerticalPaneWindow = Prototype.Class.create(Glydo.VerticalPaneController,{
	initialize: function($super,recVariantClassesMap) {
		$super(recVariantClassesMap);
	},
	
	onLoad: function(event) {
		var title = window.arguments[2];
		this.application = window.arguments[0];
		Glydo.gApp = this.application;
		this.container = document.getElementById("glydo-vertical-pane-container");
		document.getElementById("glydo-vertical-pane-title").value=title;
		window.title = title;
		this.init('win',this.application,window.arguments[1],window.arguments[3]);
		this.addListener(this);
	},
	
	onUnload: function(event) {
		this.destroy();
	},
	
	onPaneContentsChanged: function(name,nRecommendations) {
		Prototype.F.defer(Prototype.F.bind(function() {
			// sizeToContent doesn't work well enough, and we defer to make
			// sure all layout is computed when we resize.
			var w = this.container.boxObject.width;
			var h = this.container.boxObject.height;
			// The +2 is voodoo, I have no idea why it is required, but without
			// it the window is too small.
			window.resizeTo(w+2,h+2);
		},this));
	},
	
	openContextRecommendation: function(mode) {
		var ctxRec = this.getContextRecommendation();
		if (ctxTec) {
			this.application.followRecommendation(ctxRec.rec,mode);
		}
	},
	
	openContextRecommendationFeedback: function() {
		var ctxRec = this.getContextRecommendation();
		if (ctxRec) {
			this.application.openRecommendationFeedback(ctxRec.rec);
		}
	},

});

Glydo.gVerticalPaneWindow = new Glydo.VerticalPaneWindow(Glydo.RECOMMENDATION_VIEW_CLASSES_MAP);
